Subject: Re: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Feb 2024 21:31:55 +0200

> Date: Sun, 18 Feb 2024 19:21:48 +0000
> From: Nick OBrien <[email-masked]>
> Cc: [email-masked]
> 
> I followed the steps again and made sure to leave a few seconds after seeing the
> "Annotating... done" message before running the next command. After running the
> vc commands, I killed the vc-annotate buffer and returned to the foo buffer
> (which is in fundamental-mode), and the key input delay still occurs.

Then I suggest to run "M-x profiler-start RET RET", press several keys
that responds with delay, then "M-x profiler-report RET", and post the
full profile after fully expanding it.  That could tell us what is
getting in the way.

FWIW, I tried to reproduce this on my system, but didn't see any
delays.